Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel.algorithms
Class JavaAlgorithmBuilder

    java.lang.Object
      org.apache.cocoon.forms.formmodel.algorithms.AbstractBaseAlgorithmBuilder
          org.apache.cocoon.forms.formmodel.algorithms.JavaAlgorithmBuilder

All Implemented Interfaces:
  BeanFactoryAware, CalculatedFieldAlgorithmBuilder

public class JavaAlgorithmBuilder
extends AbstractBaseAlgorithmBuilder
implements BeanFactoryAware

Builder for user custom `CalculatedFieldAlgorithm`s. If the specified class is a `AbstractBaseAlgorithm` subclass, the build process will be delegated to `AbstractBaseAlgorithmBuilder`.

Version:
  $Id: JavaAlgorithmBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.forms.formmodel.CalculatedFieldAlgorithmBuilder
`ROLE`

Constructor Summary
`JavaAlgorithmBuilder()`

Method Summary
`CalculatedFieldAlgorithm` | `build(Element algorithmElement)`
`void` | `setBeanFactory(BeanFactory beanFactory)`

Methods inherited from class org.apache.cocoon.forms.formmodel.algorithms.AbstractBaseAlgorithmBuilder
`setup, setupTriggers, setupTriggers`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaAlgorithmBuilder

    public JavaAlgorithmBuilder()

Method Detail

### setBeanFactory

    public void setBeanFactory(BeanFactory beanFactory)
                        throws BeansException

  Specified by:
    `setBeanFactory` in interface `BeanFactoryAware`
  Throws:
    `BeansException`

### build

    public CalculatedFieldAlgorithm build(Element algorithmElement)
                                   throws Exception

  Specified by:
    `build` in interface `CalculatedFieldAlgorithmBuilder`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.